Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1495164 - CacheFiles: Error: Unexpected object collision ( kernel BUG at fs/cachefiles/namei.c:198! )
Summary: CacheFiles: Error: Unexpected object collision ( kernel BUG at fs/cachefiles/...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cachefilesd
Version: 26
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: David Howells
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-25 11:25 UTC by Tore H. Larsen
Modified: 2018-05-29 12:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:21:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Tore H. Larsen 2017-09-25 11:25:29 UTC
Description of problem:

When creating bootable usb sticks with ISO residing on CIFS mount, kernel oops as seen below.

$ sudo unetbootin

and then selecting an ISO image on a CIFS share

Version-Release number of selected component (if applicable):

cachefilesd-0.10.10-1.fc26.x86_64
samba-client-4.6.8-0.fc26.x86_64

How reproducible:

Solid, on 2nd USB stick created after reboot.

Steps to Reproduce:
1. sudo unetbootin
2. Pick file on CIFS filesystem (Windows 2008 SR2 server)
3. Happeneds when creating 2nd USB stick

Actual results:
[16793.526043] usb-storage 3-2:1.0: USB Mass Storage device detected
[16793.526363] scsi host8: usb-storage 3-2:1.0
[16794.550994] scsi 8:0:0:0: Direct-Access     General  UDisk            5.00 PQ: 0 ANSI: 2
[16794.552119] sd 8:0:0:0: [sde] 7864320 512-byte logical blocks: (4.03 GB/3.75 GiB)
[16794.552271] sd 8:0:0:0: [sde] Write Protect is off
[16794.552274] sd 8:0:0:0: [sde] Mode Sense: 0b 00 00 08
[16794.552459] sd 8:0:0:0: [sde] No Caching mode page found
[16794.552467] sd 8:0:0:0: [sde] Assuming drive cache: write through
[16794.552474] sd 8:0:0:0: Attached scsi generic sg3 type 0
[16794.554410]  sde:
[16794.555287] sd 8:0:0:0: [sde] Attached SCSI removable disk
[17055.952130] CacheFiles: 
[17055.952137] CacheFiles: Error: Overlong wait for old active object to go away
[17055.952141] CacheFiles: object: OBJ2a2
[17055.952144] CacheFiles: objstate=LOOK_UP_OBJECT fl=8 wbusy=2 ev=0[0]
[17055.952147] CacheFiles: ops=0 inp=0 exc=0
[17055.952149] CacheFiles: parent=ffff8d3b579aec00
[17055.952152] CacheFiles: cookie=ffff8d3ab5f91370 [pr=ffff8d37d87586e0 nd=ffff8d377fab5db0 fl=27]
[17055.952155] CacheFiles: key=[8] '1a22010000000400'
[17055.952162] CacheFiles: xobject: OBJ2a1
[17055.952165] CacheFiles: xobjstate=DROP_OBJECT fl=70 wbusy=2 ev=10[0]
[17055.952167] CacheFiles: xops=0 inp=0 exc=0
[17055.952169] CacheFiles: xparent=ffff8d3b579aec00
[17055.952172] CacheFiles: xcookie=ffff8d3a3a284c60 [pr=ffff8d37d87586e0 nd=          (null) fl=10]
[17115.989069] CacheFiles: 
[17115.989074] CacheFiles: Error: Overlong wait for old active object to go away
[17115.989078] CacheFiles: object: OBJ2a2
[17115.989082] CacheFiles: objstate=LOOK_UP_OBJECT fl=8 wbusy=2 ev=0[0]
[17115.989085] CacheFiles: ops=0 inp=0 exc=0
[17115.989088] CacheFiles: parent=ffff8d3b579aec00
[17115.989092] CacheFiles: cookie=ffff8d3ab5f91370 [pr=ffff8d37d87586e0 nd=ffff8d377fab5db0 fl=27]
[17115.989095] CacheFiles: key=[8] '1a22010000000400'
[17115.989104] CacheFiles: xobject: OBJ2a1
[17115.989107] CacheFiles: xobjstate=DROP_OBJECT fl=70 wbusy=2 ev=10[0]
[17115.989110] CacheFiles: xops=0 inp=0 exc=0
[17115.989112] CacheFiles: xparent=ffff8d3b579aec00
[17115.989116] CacheFiles: xcookie=ffff8d3a3a284c60 [pr=ffff8d37d87586e0 nd=          (null) fl=10]
[17176.027004] CacheFiles: 
[17176.027009] CacheFiles: Error: Overlong wait for old active object to go away
[17176.027012] CacheFiles: object: OBJ2a2
[17176.027015] CacheFiles: objstate=LOOK_UP_OBJECT fl=8 wbusy=2 ev=0[0]
[17176.027016] CacheFiles: ops=0 inp=0 exc=0
[17176.027018] CacheFiles: parent=ffff8d3b579aec00
[17176.027020] CacheFiles: cookie=ffff8d3ab5f91370 [pr=ffff8d37d87586e0 nd=ffff8d377fab5db0 fl=27]
[17176.027022] CacheFiles: key=[8] '1a22010000000400'
[17176.027028] CacheFiles: xobject: OBJ2a1
[17176.027030] CacheFiles: xobjstate=DROP_OBJECT fl=70 wbusy=2 ev=10[0]
[17176.027032] CacheFiles: xops=0 inp=0 exc=0
[17176.027033] CacheFiles: xparent=ffff8d3b579aec00
[17176.027036] CacheFiles: xcookie=ffff8d3a3a284c60 [pr=ffff8d37d87586e0 nd=          (null) fl=10]
[17403.227381] CacheFiles: 
[17403.227387] CacheFiles: Error: Unexpected object collision
[17403.227390] CacheFiles: object: OBJ43b
[17403.227394] CacheFiles: objstate=LOOK_UP_OBJECT fl=8 wbusy=2 ev=0[0]
[17403.227397] CacheFiles: ops=0 inp=0 exc=0
[17403.227400] CacheFiles: parent=ffff8d3b579aec00
[17403.227404] CacheFiles: cookie=ffff8d3776b3d688 [pr=ffff8d37d87586e0 nd=ffff8d377fab5db0 fl=27]
[17403.227406] CacheFiles: key=[8] '1a22010000000400'
[17403.227415] CacheFiles: xobject: OBJ43a
[17403.227418] CacheFiles: xobjstate=DROP_OBJECT fl=70 wbusy=2 ev=10[0]
[17403.227421] CacheFiles: xops=0 inp=0 exc=0
[17403.227423] CacheFiles: xparent=ffff8d3b579aec00
[17403.227427] CacheFiles: xcookie=ffff8d3b239802c0 [pr=ffff8d37d87586e0 nd=          (null) fl=10]
[17403.227466] ------------[ cut here ]------------
[17403.227471] kernel BUG at fs/cachefiles/namei.c:198!
[17403.227475] invalid opcode: 0000 [#1] SMP
[17403.227476] Modules linked in: vfat fat md4 uas usb_storage hid_logitech_hidpp hid_logitech_dj rfcomm vboxpci(OE) vboxnetadp(OE) vboxnetflt(OE) vboxdrv(OE) xt_CHECKSUM nvidia(POE) drm tun nls_utf8 cifs dns_resolver ccm ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype br_netfilter nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack dm_thin_pool dm_persistent_data dm_bio_prison loop ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables fuse vmw_vsock_vmci_transport vsock
[17403.227523]  vmw_vmci cachefiles fscache bnep sunrpc xfs libcrc32c iTCO_wdt iTCO_vendor_support ppdev mei_wdt intel_powerclamp coretemp kvm_intel uvcvideo kvm qcserial usb_wwan videobuf2_vmalloc btusb videobuf2_memops btrtl videobuf2_v4l2 videobuf2_core btbcm btintel bluetooth snd_hda_codec_hdmi videodev irqbypass intel_cstate media ecdh_generic intel_uncore arc4 iwldvm mac80211 snd_hda_codec_conexant snd_hda_codec_generic snd_hda_intel joydev iwlwifi snd_hda_codec i7core_edac cfg80211 snd_hda_core snd_hwdep thinkpad_acpi i2c_i801 snd_seq lpc_ich snd_seq_device snd_pcm snd_timer snd soundcore acpi_cpufreq rfkill parport_pc parport mei_me mei shpchp tpm_tis tpm_tis_core tpm binfmt_misc mxm_wmi sdhci_pci sdhci firewire_ohci crc32c_intel e1000e serio_raw mmc_core firewire_core crc_itu_t ptp pps_core
[17403.227577]  video wmi ecryptfs
[17403.227583] CPU: 4 PID: 14075 Comm: kworker/u16:4 Tainted: P           OE   4.12.14-300.fc26.x86_64 #1
[17403.227585] Hardware name: LENOVO 43892DG/43892DG, BIOS 6NET76WW (1.37 ) 02/24/2011
[17403.227594] Workqueue: fscache_object fscache_object_work_func [fscache]
[17403.227597] task: ffff8d386c5d0000 task.stack: ffffb92b09264000
[17403.227602] RIP: 0010:cachefiles_walk_to_object+0x799/0x870 [cachefiles]
[17403.227605] RSP: 0018:ffffb92b09267d10 EFLAGS: 00010202
[17403.227607] RAX: ffff8d39b879da01 RBX: ffff8d3903e3f1c0 RCX: 000000000026e9ee
[17403.227609] RDX: 000000000026e9ed RSI: ffff8d3b7fd1d760 RDI: ffff8d3b6f003080
[17403.227611] RBP: ffffb92b09267dc0 R08: 000000000001d760 R09: ffffffffc07cebd0
[17403.227613] R10: fffffd2209e1e700 R11: ffffffff9b311b6d R12: ffff8d386c58ed80
[17403.227615] R13: ffff8d3903e3f080 R14: ffff8d3a31d82f00 R15: ffff8d386c58eea8
[17403.227618] FS:  0000000000000000(0000) GS:ffff8d3b7fd00000(0000) knlGS:0000000000000000
[17403.227620] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[17403.227622] CR2: 00007f8488a21a08 CR3: 0000000303e09000 CR4: 00000000000006e0
[17403.227624] Call Trace:
[17403.227631]  ? update_curr+0xf2/0x1c0
[17403.227635]  cachefiles_lookup_object+0x4d/0xe0 [cachefiles]
[17403.227641]  fscache_look_up_object+0xb7/0x1b0 [fscache]
[17403.227647]  ? fscache_parent_ready+0x2b/0x70 [fscache]
[17403.227653]  fscache_object_work_func+0x60/0x1e0 [fscache]
[17403.227657]  process_one_work+0x193/0x3c0
[17403.227661]  worker_thread+0x4a/0x3a0
[17403.227664]  kthread+0x125/0x140
[17403.227667]  ? process_one_work+0x3c0/0x3c0
[17403.227670]  ? kthread_park+0x60/0x60
[17403.227675]  ret_from_fork+0x25/0x30
[17403.227677] Code: d9 0f 0b e8 da 7f 8d d9 48 c7 c7 ef f5 7c c0 e8 af 7c 9f d9 48 c7 c7 78 01 7d c0 e8 a3 7c 9f d9 4c 89 ee 4c 89 e7 e8 e4 28 00 00 <0f> 0b 0f 0b 48 c7 c7 48 01 7d c0 e8 88 7c 9f d9 31 f6 4c 89 e7 
[17403.227716] RIP: cachefiles_walk_to_object+0x799/0x870 [cachefiles] RSP: ffffb92b09267d10
[17403.227719] ---[ end trace 6d75494e99615075 ]---

and then you can create a new one.

Expected results:

- Should be able to create any number of bootable USB 

Additional info:

Ref bugzilla bug # 1210730

Comment 1 Fedora End Of Life 2018-05-03 08:01:23 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:21:27 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.